Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.ra.aqdr._1_0.protocol
Class EHActorQualitiesDataResponse

    java.lang.Object
      be.fgov.ehealth.etee.ra.aqdr._1_0.protocol.EHActorQualitiesDataResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:49+01:00",
               comments="JAXB RI v2.2.11")
    public class EHActorQualitiesDataResponse

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SSIN" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="Authorization" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <choice minOccurs="0">
               <element name="NaturalPerson" type="{urn:be:fgov:ehealth:etee:ra:aqdr:1_0:protocol}NaturalPerson"/>
               <element name="LegalPerson" type="{urn:be:fgov:ehealth:etee:ra:aqdr:1_0:protocol}LegalPerson"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EHActorQualitiesDataResponse()`

Method Summary
`LegalPerson` | `getLegalPerson()` Gets the value of the legalPerson property.
`NaturalPerson` | `getNaturalPerson()` Gets the value of the naturalPerson property.
`long` | `getSSIN()` Gets the value of the ssin property.
`boolean` | `isAuthorization()` Gets the value of the authorization property.
`void` | `setAuthorization(boolean value)` Sets the value of the authorization property.
`void` | `setLegalPerson(LegalPerson value)` Sets the value of the legalPerson property.
`void` | `setNaturalPerson(NaturalPerson value)` Sets the value of the naturalPerson property.
`void` | `setSSIN(long value)` Sets the value of the ssin property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EHActorQualitiesDataResponse

    public EHActorQualitiesDataResponse()

Method Detail

### getSSIN

    public long getSSIN()

  Gets the value of the ssin property.

### setSSIN

    public void setSSIN(long value)

  Sets the value of the ssin property.

### isAuthorization

    public boolean isAuthorization()

  Gets the value of the authorization property.

### setAuthorization

    public void setAuthorization(boolean value)

  Sets the value of the authorization property.

### getLegalPerson

    public LegalPerson getLegalPerson()

  Gets the value of the legalPerson property.

  Returns:
    possible object is `LegalPerson`

### setLegalPerson

    public void setLegalPerson(LegalPerson value)

  Sets the value of the legalPerson property.

  Parameters:
    `value` - allowed object is `LegalPerson`

### getNaturalPerson

    public NaturalPerson getNaturalPerson()

  Gets the value of the naturalPerson property.

  Returns:
    possible object is `NaturalPerson`

### setNaturalPerson

    public void setNaturalPerson(NaturalPerson value)

  Sets the value of the naturalPerson property.

  Parameters:
    `value` - allowed object is `NaturalPerson`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.